Auto Payments
Create an Auto Payment
POST /api/v1/auto_payments/create
Create a new auto payment.
Details for the payment in the auto payment request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance.
The condition set to trigger the automatic auto payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier. 1-50 characters long.
Indicate the frequency and specific time to execute an automatic payment.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
Unique identifier for the auto payment.
Payment for the auto payment instruction specified in the request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .
The condition set to trigger the automatic schedule payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier specified in the request.
Schedule for the auto payment instruction specified in the request.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "payment": {> "amount": {> "fixed_payout_amount": 1000,> "max_retained_balance": 1000> },> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",> "condition": {> "currency": "CNY",> "threshold": {> "balance_gt": 1000> }> },> "fee_paid_by": "<string>",> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",> "reason": "travel",> "reference": "PMT1936398",> "swift_charge_option": "SHARED"> },> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",> "schedule": {> "effective_date_time": "2019-08-03T15:22:11.240",> "execute_at": {> "time": "08:00",> "time_zone": "Asia/Shanghai"> },> "expiration_date_time": "2019-09-03T15:22:11.240",> "monthly_anchor": "1",> "once_anchor": "2019-08-19",> "time_interval": "DAILY",> "weekly_anchor": "SUNDAY"> }>}'
1{2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",3 "payment": {4 "amount": {5 "fixed_payout_amount": 1000,6 "max_retained_balance": 10007 },8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",9 "condition": {10 "currency": "CNY",11 "threshold": {12 "balance_gt": 100013 }14 },15 "fee_paid_by": "<string>",16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",17 "reason": "travel",18 "reference": "PMT1936398",19 "swift_charge_option": "SHARED"20 },21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",22 "schedule": {23 "effective_date_time": "2019-08-03T15:22:11.240",24 "execute_at": {25 "time": "08:00",26 "time_zone": "Asia/Shanghai"27 },28 "expiration_date_time": "2019-09-03T15:22:11.240",29 "monthly_anchor": "1",30 "once_anchor": "2019-08-19",31 "time_interval": "DAILY",32 "weekly_anchor": "SUNDAY"33 },34 "status": "NORMAL"35}
Retrieve an Auto Payment
GET /api/v1/auto_payments/{id}
Get auto payment details by specifying auto payment unique identifier.
The unique identifier.
Unique identifier for the auto payment.
Payment for the auto payment instruction specified in the request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .
The condition set to trigger the automatic schedule payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier specified in the request.
Schedule for the auto payment instruction specified in the request.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",3 "payment": {4 "amount": {5 "fixed_payout_amount": 1000,6 "max_retained_balance": 10007 },8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",9 "condition": {10 "currency": "CNY",11 "threshold": {12 "balance_gt": 100013 }14 },15 "fee_paid_by": "<string>",16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",17 "reason": "travel",18 "reference": "PMT1936398",19 "swift_charge_option": "SHARED"20 },21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",22 "schedule": {23 "effective_date_time": "2019-08-03T15:22:11.240",24 "execute_at": {25 "time": "08:00",26 "time_zone": "Asia/Shanghai"27 },28 "expiration_date_time": "2019-09-03T15:22:11.240",29 "monthly_anchor": "1",30 "once_anchor": "2019-08-19",31 "time_interval": "DAILY",32 "weekly_anchor": "SUNDAY"33 },34 "status": "NORMAL"35}
List all Auto Payments
GET /api/v1/auto_payments
Get list of auto payments from a specified creation date/time, with optional filters on end creation then auto payments one year in arrears of today or the to created_at date will be returned.
The start date of created_at in ISO8601 format (inclusive).
Page number, starts from 0.
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive).
A flag which identifies whether there are more results.
Paged results.
Payment for the auto payment instruction specified in the request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .
The condition set to trigger the automatic schedule payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier specified in the request.
Schedule for the auto payment instruction specified in the request.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.
Unique identifier for the auto payment.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",6 "payment": {7 "amount": {8 "fixed_payout_amount": 1000,9 "max_retained_balance": 100010 },11 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",12 "condition": {13 "currency": "CNY",14 "threshold": {15 "balance_gt": 100016 }17 },18 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",19 "reason": "travel",20 "reference": "PMT1936398",21 "swift_charge_option": "SHARED"22 },23 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",24 "schedule": {25 "effective_date_time": "2019-08-03T15:22:11.240",26 "execute_at": {27 "time": "08:00",28 "time_zone": "Asia/Shanghai"29 },30 "expiration_date_time": "2019-09-03T15:22:11.240",31 "monthly_anchor": "1",32 "once_anchor": "2019-08-19",33 "time_interval": "DAILY",34 "weekly_anchor": "SUNDAY"35 },36 "status": "NORMAL"37 }38 ]39}
Update an Auto Payment
POST /api/v1/auto_payments/{id}/update
Update auto payment.
Unique identifier of the auto payment to update.
Details for the payment in the auto payment request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance.
The condition set to trigger the automatic auto payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier. 1-50 characters long.
Indicate the frequency and specific time to execute an automatic payment.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
Unique identifier for the auto payment.
Payment for the auto payment instruction specified in the request.
The amount that will payout to beneficiary,one of fixed_payout_amount, max_retained_balance.
The specific amount will payout to beneficiary.
The maximum amount will retain on the wallet, the payout amount will be difference between available balance and max retained balance .
The condition set to trigger the automatic schedule payout.
The currency of the threshold amount.
The auto payout will be executed after the balance reach a specific level.
The balance should be greater than the threshold amount.
Reason for the payment instruction.
An Airwallex beneficiary_id previously generated by utilising the Airwallex Contact API.
Denotes whether PAYER/BENEFICIARY will be liable for the payment fees, and it affects the actual amount the beneficiary receives. Once the PAYER was selected under the setting of max_retained_balance, the fee will deduct from retained balance; if the max_retained_balance set as zero, only BENEFICIARY can be selected to liable for the payment fees.
An Airwallex payer_id previously generated by utilising the Airwallex Contact API.
A user specified reference that will be displayed to the beneficiary on the payment transaction with their bank.
(For SWIFT payments only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.
Unique request identifier specified in the request.
Schedule for the auto payment instruction specified in the request.
A specific time of the day to execute auto payout.
Execution time with the format HH:MM.
A string containing the unique identifier of the time zone. These unique identifiers are defined by Unicode Common Locale Data Repository (CLDR) project, e.g., Asia/Shanghai, Asia/Hong_Kong, Australia/Melbourne, Asia/Singapore.
The frequency of the auto payout will execute once it meets the condition, can be one of DAILY, WEEKLY, MONTHLY, ONCE.
The effective date time of the auto payout. Leave blank when the ONCE interval was set.
The expiration date time of the auto payout. Leave blank when the ONCE interval was set.
The specific date of a month to execute a monthly auto payout. Should be the number from 1-31, once 31 was set, it will be default as the last day of the month.
The specific date to execute a once auto payout.
The specific working day of a week to execute a weekly auto payout, can be one of MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.
The auto payment status, can be one of: NORMAL, CANCELLED, FINISHED.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/update' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "payment": {> "amount": {> "fixed_payout_amount": 1000,> "max_retained_balance": 1000> },> "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",> "condition": {> "currency": "CNY",> "threshold": {> "balance_gt": 1000> }> },> "fee_paid_by": "<string>",> "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",> "reason": "travel",> "reference": "PMT1936398",> "swift_charge_option": "SHARED"> },> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",> "schedule": {> "effective_date_time": "2019-08-03T15:22:11.240",> "execute_at": {> "time": "08:00",> "time_zone": "Asia/Shanghai"> },> "expiration_date_time": "2019-09-03T15:22:11.240",> "monthly_anchor": "1",> "once_anchor": "2019-08-19",> "time_interval": "DAILY",> "weekly_anchor": "SUNDAY"> }>}'
1{2 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",3 "payment": {4 "amount": {5 "fixed_payout_amount": 1000,6 "max_retained_balance": 10007 },8 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",9 "condition": {10 "currency": "CNY",11 "threshold": {12 "balance_gt": 100013 }14 },15 "fee_paid_by": "<string>",16 "payer_id": "46c22228-5831-4c53-a4fa-a3ab4954877c",17 "reason": "travel",18 "reference": "PMT1936398",19 "swift_charge_option": "SHARED"20 },21 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",22 "schedule": {23 "effective_date_time": "2019-08-03T15:22:11.240",24 "execute_at": {25 "time": "08:00",26 "time_zone": "Asia/Shanghai"27 },28 "expiration_date_time": "2019-09-03T15:22:11.240",29 "monthly_anchor": "1",30 "once_anchor": "2019-08-19",31 "time_interval": "DAILY",32 "weekly_anchor": "SUNDAY"33 },34 "status": "NORMAL"35}
Enable an Auto Payment
POST /api/v1/auto_payments/{id}/enable
Enable a auto payment by specifying auto payment unique identifier.
The unique identifier.
Success
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/enable' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1"<string>"
Disable an Auto Payment
POST /api/v1/auto_payments/{id}/disable
Disable a auto payment by specifying auto payment unique identifier.
The unique identifier.
Success
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/auto_payment_id/disable' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1"<string>"
List all Auto Payment Tasks
GET /api/v1/auto_payments/task
Get list of auto payment task from a specified creation date/time, with optional filters on end creation then auto payments one year in arrears of today or the to created_at date will be returned.
The start date of created_at in ISO8601 format (inclusive).
Page number, starts from 0.
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive).
A flag which identifies whether there are more results.
Paged results.
Details of the beneficiary.
Additional information about the beneficiary.
Category of business activity.
Business phone number.
Business registration number.
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes.
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese.
Legal representative id number.
Legal representative last name in chinese.
Legal representative’s mobile number associated with their bank account.
Personal email.
Beneficiary's first name in Chinese.
Personal unique identifier number.
Personal unique identifier type.
Beneficiary's last name in Chinese.
Personal mobile number.
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details.
Beneficiary's city.
Beneficiary's country code (2-letter ISO 3166-2 country code).
Beneficiary's post code.
Beneficiary's state.
Beneficiary's street address.
Beneficiary's bank account details where the payment will be credited.
Account Currency.
Account holder name of the beneficiary’s bank account.
Bank country code (2-letter ISO 3166-2 country code).
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product DocsDocs.
Account number, mostly for non-european countries, either account_number or iban should be filled.
Routing code type.
Routing code sub type.
Routing code value.
Routing code sub type value.
bank account type.
Specific branch of bank account.
Bank name of the beneficiary's bank account.
Bank State.
Bank street address.
The mobile number tied to the Beneficiary's bank account.
Fingerprint of current beneficiary's bank account.
International bank account number, mostly for european countries.
Bank name of the beneficiary's intermediary bank.
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC.
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code.
Beneficiary's card details where the payment will be credited.
Cardholder name.
Tokenised card number, which can be retrieved from Airwallex beneficiary component.
Card brand.
Card currency.
Expiry month.
Expiry year.
Card number.
Company name of the beneficiary.
beneficiary date of birth.
Beneficiary's digital wallet details where the payment will be credited.
Account holder name of the beneficiary’s digital wallet.
Account identifier type of the beneficiary’s digital wallet.
Account identifier value of the beneficiary’s digital wallet.
Service provider of the beneficiary's digital wallet.
Digital wallet country code (2-letter ISO 3166-2 country code).
Entity type of the beneficiary.
First name of the beneficiary.
Last name of the beneficiary.
Type of the beneficiary, indicating the type of account or method through which the beneficiary receives funds.
The error code of the auto payment task when task execute failed.
The unique identifier of this payment task under a auto payment plan.
The unique identifier of the related auto payment plan.
The error message of the auto payment task when task execute failed.
Details of the payer.
Payer's address details.
Payer's country code (2-letter ISO 3166-2 country code).
Payer's city.
Payer's post code.
Payer's state.
Payer's street address.
Entity type of the payer.
Additional information about the payer.
Business registration number.
Type of business as registered with the local government authority.
Unique identifier of the person in your company.
Personal email.
Personal unique identifier number.
Company name of the payer.
Payer's date of birth.
First name of the payer.
Last name of the payer.
The unique id of the payment that can be used to query the status of the payment.
Amount to be paid for making this schedule payment.
Currency the payment should be made in (3-letter ISO-4217 code).
The auto payment task status, can be one of INITIAL, PROCESSING, SUCCESS, FAILED.
The exact date and time to execute the payment.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/auto_payments/task' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "beneficiary": {6 "additional_info": {7 "business_area": "Travel",8 "business_phone_number": "689342234",9 "business_registration_number": "IT593003",10 "legal_rep_bank_account_number": "44250100003700000000",11 "legal_rep_first_name_in_chinese": "小芳",12 "legal_rep_id_number": "110108199304203520",13 "legal_rep_last_name_in_chinese": "刘",14 "legal_rep_mobile_number": "13651362890",15 "personal_email": "[email protected]",16 "personal_first_name_in_chinese": "大明",17 "personal_id_number": "1234567890",18 "personal_id_type": "NATIONAL_ID",19 "personal_last_name_in_chinese": "李",20 "personal_mobile_number": "13651362890",21 "security_question": "What is the name of my second puppy?",22 "security_question_answer": "Scooby Doo"23 },24 "address": {25 "city": "Melbourne",26 "country_code": "AU",27 "postcode": "3000",28 "state": "VIC",29 "street_address": "15 William Street"30 },31 "bank_details": {32 "account_currency": "AUD",33 "account_name": "Lee Da Ming",34 "account_name_alias": "Lee D M",35 "account_number": "12750852",36 "account_routing_type1": "bsb",37 "account_routing_type2": "sort_code",38 "account_routing_value1": "083064",39 "account_routing_value2": "123456",40 "bank_account_category": "Checking,Savings,Vista,Maestra",41 "bank_branch": "Melbourne",42 "bank_country_code": "AU",43 "bank_name": "National Australia Bank",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "intermediary_bank_name": "National Australia Bank",49 "intermediary_bank_swift_code": "CTBAAU2S",50 "local_clearing_system": "ACH",51 "swift_code": "CTBAAU2S"52 },53 "card": {54 "brand": "VISA",55 "cardholder_name": "John Walker",56 "currency": "USD",57 "expiry_month": "10",58 "expiry_year": "2033",59 "number": "************1111",60 "token": "AKvN4TqxI04SNFZ+oYRXaECtDA=="61 },62 "company_name": "Complete Concrete Pty Ltd",63 "date_of_birth": "1976-08-26",64 "digital_wallet": {65 "account_name": "John Walker Corporation",66 "country_code": "US",67 "id_type": "account_number",68 "id_value": "1033106816639334",69 "provider": "AIRWALLEX"70 },71 "entity_type": "COMPANY",72 "first_name": "John",73 "last_name": "Walker"74 },75 "error_code": "insufficient_balance_gt",76 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",77 "linked_schedule_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",78 "payer": {79 "additional_info": {80 "business_registration_number": "EU300503",81 "business_registration_type": "Partnership",82 "external_id": "1234567890",83 "personal_email": "[email protected]",84 "personal_id_number": "1234567890"85 },86 "address": {87 "city": "Melbourne",88 "country_code": "AU",89 "postcode": "3000",90 "state": "VIC",91 "street_address": "15 William Street"92 },93 "company_name": "Complete Concrete Pty Ltd",94 "date_of_birth": "1976-08-26",95 "entity_type": "COMPANY",96 "first_name": "James",97 "last_name": "Smith"98 },99 "payment_id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",100 "payout_currency": "CNY",101 "trigger_time": "2019-03-22T16:08:02"102 }103 ]104}